List disposal tickets

Use /tickets and ticket_type as disposal to retrieve the summary of all tickets created at the landfills.A date range can be specified to retrieve the summary of tickets within those dates.
To get details of a specific ticket, see disposal ticket details api


URI

GET /api/v1/customers/{customerId}/tickets?ticket_type=disposal

Headers

Parameter Mandatory Data Type Allowed Values Description
Request-Tracking-Id Y String Unique Identifier for each request
Authorization Y String Access token
ClientId Y String Will be provided by WM
Accept N String application/json or application/xml Default is application/json

Request Parameters

Pass the following parameters in the request.

Parameter Mandatory Data Type Type Description
customerId Y Number path Unique Customer Identifier
ticket_type Y String query Ticket Type(disposal)
fromDate N Date query Start date formatted as yyyy-MM-dd
toDate N Date query End date formatted as yyyy-MM-dd

Response Fields

Parameter Data Type Description
request_tracking_id String Unique identifier for each request
tickets Object Disposal Ticket Summary
id Number Ticket Identifier
date Date time Ticket last modified date time
status String Ticket status
amount Number Total amount charged for ticket
site_name String Disposal facility location name
metadata Object additional data
totalCount Number Total number of objects

Tip

For information about how to test, see How To Test

Sample Request

http://api.wm.com/v1/customers/123456789/tickets?ticket_type=disposal&fromDate=2015-06-08&toDate=2015-06-11

Sample Response

{  "request_tracking_id": "123",  "tickets": [    {      "id": "104237",      "date": "2015-06-08 10:11:49.0",      "status": "Completed",      "amount": "1048.94",      "site_name": "Reload and Recycle Facility"    },    {      "id": "104271",      "date": "2015-06-09 07:02:35.0",      "status": "Completed",      "amount": "787.79",      "site_name": "Reload and Recycle Facility"    },    {      "id": "104283",      "date": "2015-06-09 09:00:26.0",      "status": "Completed",      "amount": "461.01",      "site_name": "Reload and Recycle Facility"    },    {      "id": "104293",      "date": "2015-06-09 11:19:19.0",      "status": "Completed",      "amount": "385.13",      "site_name": "Reload and Recycle Facility"    },    {      "id": "104324",      "date": "2015-06-10 07:09:28.0",      "status": "Completed",      "amount": "491.14",      "site_name": "Reload and Recycle Facility"    },    {      "id": "104343",      "date": "2015-06-10 09:00:23.0",      "status": "Completed",      "amount": "473.65",      "site_name": "Reload and Recycle Facility"    },    {      "id": "104361",      "date": "2015-06-10 10:35:45.0",      "status": "Completed",      "amount": "423.06",      "site_name": "Reload and Recycle Facility"    },    {      "id": "104386",      "date": "2015-06-10 12:44:33.0",      "status": "Completed",      "amount": "421.12",      "site_name": "Reload and Recycle Facility"    }  ],  "metadata": [    {      "totalCount": "8"    }  ]}